document.addEventListener("DOMContentLoaded", function() {
    // Retrieve the rowData from the session
    var rowData = sessionStorage.getItem('rowData');
    var rowDataObj = JSON.parse(rowData);
    // Log the rowDataObj to the console
    console.log(rowDataObj);
    // Unpack each variable
    
    //////Variables para el cálulo///
    const tasa = rowDataObj["Tasa"];
    localStorage.setItem('tasa', tasa);
    const com = rowDataObj["Comision"];
    localStorage.setItem('c', com);
    const monto= rowDataObj["Validación Monto Solicitado"];
    localStorage.setItem('monto', monto);
    const periodo = rowDataObj["Periodicidad"];
    localStorage.setItem('periodo', periodo);
    const plzo= rowDataObj["Plazo"];
    localStorage.setItem('plazo', plzo);
    const fechai= rowDataObj["Fecha de inicio"];
    localStorage.setItem('fechai', fechai);
    
    //Periodicidad
    var pagosalario;
    var diaspago;
    if(periodo== 7){
        pagosalario = "semanalmente";
        diaspago = "viernes de cada semana";
    } else if (periodo== 14){
        pagosalario = "catorcenalmente";
        diaspago = "14 y 28 de cada mes";
    } else if (periodo== 15){
        pagosalario = "quincenalmente";
        diaspago = "5 y 20 de cada mes";
    } else if (periodo== 28 ){
        pagosalario = "mensualmente";
        diaspago = "28 de cada mes";
    } else if (periodo == 30){
        pagosalario = "mensualmente";
        diaspago = "último de cada mes";
    }
    console.log("Peridicidad descuento:", pagosalario)
    console.log("Días pago:", diaspago)
    document.getElementById('peripagos').textContent = pagosalario;
    document.getElementById('diaspago').textContent = diaspago;
    
    
    const tiempoTranscurrido = Date.now();
    const fecha = new Date(tiempoTranscurrido)
    var options = { weekday: 'long', year: 'numeric', month: 'long', day: 'numeric' };
    //const hoy = fecha.getDate();
    const formattedDate = fecha.toLocaleDateString('es-ES', options);
    document.getElementById('hoy').textContent = formattedDate
    document.getElementById('hoy2').textContent = formattedDate
    document.getElementById('hoy3').textContent = formattedDate
    
    const nombrePF = rowDataObj["Nombre completo"].replace(/,/g, '');
    document.getElementById("nombre").textContent = nombrePF;
    document.getElementById("nombre2").textContent = nombrePF;
    document.getElementById("nombre3").textContent = nombrePF;
    
    
    ///Crear ID único 
    function generateID(fullName) {
    // Split the full name into separate words
    var words = fullName.split(" ");
    var id = "";

    // Iterate through each word
    for (var i = 0; i < words.length; i++) {
            // Take the first letter of each word and add it to the ID
            id += words[i].charAt(0);
        }
    
        // Return the first three characters of the ID (if the name has less than 3 words)
        return id.slice(0, 3).toUpperCase();
    }
    
    const idinciales = generateID(nombrePF)
    const idcounter = rowDataObj["IDcounter"];
    const idunique = idinciales + idcounter
    console.log("ID Unico", idunique)
    document.getElementById("IDunique").textContent = idunique;
    document.getElementById("IDunique2").textContent = idunique;
    
    const edoCivil = rowDataObj["Estado Civil"];
    document.getElementById("civil").textContent = edoCivil;
    const domicilio = rowDataObj["Domicilio"];
    document.getElementById("domicilio").textContent = domicilio;
    const mail = rowDataObj["Email"];
    document.getElementById("mail").textContent = mail;
    const rfc = rowDataObj["RFC"];
    document.getElementById("rfc").textContent = rfc;
    const puesto = rowDataObj["Datos de empleo"];
    document.getElementById("puesto").textContent = puesto;
    const antgdd = rowDataObj["Antigüedad"];
    document.getElementById("antgdd").textContent = antgdd;
    const tel = rowDataObj["Número de teléfono"];
    document.getElementById("tel").textContent = tel.replace(/,/g, '');
    const contratosigned = rowDataObj["Contrato firmado"];
    console.log("Contrato",contratosigned[0])
    localStorage.setItem('signed', contratosigned[0]);
    
    ///Empresa
    const empresa = rowDataObj["Empresa"];
    document.getElementById("empresa").textContent = empresa;
    document.getElementById("empresa2").textContent = empresa;
    document.getElementById("empresa3").textContent = empresa;
    document.getElementById("empresa4").textContent = empresa;
    //document.getElementById("empresa5").textContent = empresa;
    document.getElementById("empresa6").textContent = empresa;
    document.getElementById("empresa7").textContent = empresa;

    
    });